# Method: projects.delete

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/delete#try-it)

Marks the project identified by the specified `name` (for example, `projects/415104041262`) for deletion.

This method will only affect the project if it has a lifecycle state of `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects#State.ENUM_VALUES.ACTIVE`.

This method changes the Project's lifecycle state from `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects#State.ENUM_VALUES.ACTIVE` to `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects#State.ENUM_VALUES.DELETE_REQUESTED`. The deletion starts at an unspecified time, at which point the Project is no longer accessible.

Until the deletion completes, you can check the lifecycle state checked by retrieving the project with `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/get#google.cloud.resourcemanager.v3.Projects.GetProject`, and the project remains visible to `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/list#google.cloud.resourcemanager.v3.Projects.ListProjects`. However, you cannot update the project.

After the deletion completes, the project is not retrievable by the `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/get#google.cloud.resourcemanager.v3.Projects.GetProject`, `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/list#google.cloud.resourcemanager.v3.Projects.ListProjects`, and `https://docs.cloud.google.com/resource-manager/reference/rest/v3/projects/search#google.cloud.resourcemanager.v3.Projects.SearchProjects` methods.

The caller must have `resourcemanager.projects.delete` permissions for this project.

### HTTP request

`DELETE https://cloudresourcemanager.googleapis.com/v3/{name=projects/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the Project (for example, `projects/415104041262`). Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `resourcemanager.projects.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloudplatformprojects`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).